Subject: Re: bug#22526: 25.0.90; Crash starting gnus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Feb 2016 23:26:10 +0200

> From: Andy Moreton <[email-masked]>
> Date: Thu, 11 Feb 2016 21:20:06 +0000
> 
> > Anyway, is that GDB session still running?
> 
> Sadly not.

Is there some reason that you couldn't leave it running once you get
the crash?  If so, perhaps you could describe those reasons, and I
could try helping you overcome them.  Being able to look around in a
crashed session is important for making the debugging as efficient as
possible, given the sporadic nature of the crashes.

Thanks.

> > Btw, it sounds like it should be easy to reproduce this almost at
> > will, since the two backtraces are almost identical -- they both show
> > the same insertion of a 4096 byte string into a buffer by the default
> > process filter that reads stuff received from the news server.  Could
> > you perhaps try coming up with such a reproducer, starting from
> > "emacs -Q"?  That would make the debugging much more efficient.
> 
> If it was easy to reproduce then it ought to be easier with gnus
> (assuming the same initial file contents), but it happens only rarely.
> 
> I think this crash may have involved gnus restoring auto-save data after
> a prior emacs session had been killed.

Well, if you find some reproducible recipe, it will be appreciated.